summaryrefslogtreecommitdiffstats
path: root/src
diff options
context:
space:
mode:
Diffstat (limited to 'src')
-rw-r--r--src/oh-shlibdeps.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/src/oh-shlibdeps.sh b/src/oh-shlibdeps.sh
index 92d3c5d..2edb275 100644
--- a/src/oh-shlibdeps.sh
+++ b/src/oh-shlibdeps.sh
@@ -20,6 +20,7 @@
# along with this program. If not, see <http://www.gnu.org/licenses/>.
. '@pkgdatadir@/load.sm'
+. '@LIBOPKBUILD@'
READELF_NEEDED_SED='s/^ 0x[0-9a-f]* (NEEDED) *Shared library: \[\(.*\)\]$/\1/p'
@@ -41,7 +42,9 @@ find_lib()
for pkg in *.data/; do
for dir in ${rtld_dirs}; do
if [ -r "${pkg}/${dir}/${lib}" ]; then
- printf '%s,\n' "${pkg%.data/}"
+ pkg="$(ob_qualify_package_name "${pkg%.data/}" \
+ "${OPK_HOST_ARCH}")"
+ printf '%s,\n' "${pkg}"
return 0
fi
done
@@ -104,6 +107,7 @@ main()
local d=
oh_init
+ ob_init_package '..' || return 1
for d in *.data/; do
exec 3>>"${d%.data/}.substvars"